code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/sh
#
# VCS --Detect the version control system, if any.
#
# Remarks:
# This just walks up the directory tree looking for
# signs of a VCS (e.g. the cache/repo directory).
# REVISIT: consider printing the directory too?
#
main()
{
local dir=$PWD
while [ "$dir" ]; do
if [ -e "$dir/.svn" ]; then
... | tim-rose/home | bin/vcs.sh | Shell | mit | 456 |
#!/usr/bin/env bash
# run under sudo!
# you must have virtualbox installed. see virtualbox.sh
# you can use RAW ACCESS mode as a perverted ext4fs R/W driver to get access to your Linux partition
# before converting it to ZFS
# from freebsd wiki
# from https://hpcworks.wordpress.com/2016/02/13/raw-disk-access-in-virtual... | digitalist/systemdrop | installs/virtualbox-raw-access.sh | Shell | mit | 2,382 |
#!/bin/bash
$(npm bin)/sequelize db:seed --seed $(npm bin)/../../server/seeders/20170413000757-sample-staff-members.js
$(npm bin)/sequelize db:seed --seed $(npm bin)/../../server/seeders/20170413000813-sample-clients.js
$(npm bin)/sequelize db:seed --seed $(npm bin)/../../server/seeders/20170413000819-sample-roles.js
... | cf7/mini-spy | seed_db.sh | Shell | mit | 1,130 |
#!/bin/bash
function downloadFile {
url="$1"
fileName="tmp/$2"
if [ ! -f "$fileName" ];
then
curl -o "$fileName" -L "$url"
fi
}
mkdir -p tmp
downloadFile "https://www.ncbi.nlm.nih.gov/geo/download/?acc=GSE92742&format=file&file=GSE92742%5FBroad%5FLINCS%5Finst%5Finfo%2Etxt%2Egz" "GSE92742_Broad_LINCS_i... | srp33/WishBuilder | LINCS_PhaseI_Level4/download.sh | Shell | mit | 1,298 |
#!/usr/bin/env bash
# Support to add users to the sysadmin group and allow root permissions. By
# default this should be avoided for the admin user to provide better security.
if SUDO_SYSADMIN_MEMBERS=$(mdata-get sudo_sysadmin_members >/dev/null 2>&1); then
# Add entry for sysadmin group
echo '%sysadmin ALL=(ALL) NO... | skylime/mi-core-base | copy/var/zoneinit/includes/20-sudo.sh | Shell | mit | 665 |
#!/usr/bin/env bash
resp=`curl https://api.inkdrop.info/update/links`
base_url=`echo $resp | jq --raw-output .baseUrl`
deb_file=`echo $resp | jq --raw-output .files.linux.deb`
full_url="${base_url}/$deb_file"
wget $full_url -O /tmp/inkdrop.deb
sudo apt-get install -y libgconf2-4 # dependency
sudo dpkg -i /tmp/inkdro... | jakedahn/dotfiles | scripts/inkdrop.sh | Shell | mit | 326 |
#!/usr/bin/env bash
set -e
cd src/SwiftClient; dotnet nuget push -k ${NUGET_KEY} -s ${NUGET_SERVER} $(ls -dt bin/Release/* | head -1)
exit 0 | vtfuture/SwiftClient | push_client.sh | Shell | mit | 144 |
#!/bin/sh
#SBATCH --account=mint
#SBATCH --partition=shared
#SBATCH --time=90
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --job-name="demux"
#SBATCH --output="demux_%A.out"
#SBATCH --error="demux_%A.err"
set -o nounset
function usage () {
echo "Demultiplex a run with a barcodes TSV file"
echo "Usag... | brwnj/hundo | scripts/demux.sh | Shell | mit | 1,298 |
#!/bin/sh
CURRENT_DIR="$(cd "$(dirname "${0}")" && pwd)"
. "${CURRENT_DIR}"/helpers.sh
_teardown_helper
_set_tmux_conf_helper <<- HERE
run-shell "${CURRENT_DIR}/../tundle"
setenv -g @bundle "javier-lopez/tundle-plugins/tmux-sensible:c5c7ea1"
setenv -g @bundle "http://ovh.net/files/sha1sum.txt"
setenv -g @bundle "git... | chilicuil/tundle | tests/test_plugin_installation_extended_non_interactive.sh | Shell | mit | 2,549 |
#!/bin/bash
if [ ! -f /script.sh ]; then
echo "/script.sh must exist. Will exit now."
exit 1
fi
echo "Waiting ${INIT_SECONDS} seconds to begin loop."
sleep ${INIT_SECONDS}
echo "Loop will sleep for ${SLEEP_SECONDS} seconds."
echo "Loop will now begin."
trap "break;exit" SIGHUP SIGINT SIGTERM
while /bin/true... | silvenga-docker/piwik-helper | files/loop.sh | Shell | mit | 381 |
#!/bin/bash
source $(dirname $0)/config.sh
XPOS="750"
WIDTH="375"
url=http://www.last.fm/music/$(mpc current -f %artist% | sed 's/[ \/]/+/g')
urlalbum=$url/$(mpc current -f %album% | sed 's/[ \/]/+/g')
bio=$(wget -qO- $url | lynx -dump -nolist -stdin | tail -n+100 | awk ' /Biography/ {flag=1;next} /Edit bio/{flag=0} ... | Bryan792/dotfiles | .xmonad/scripts/dzen_artistinfo.sh | Shell | mit | 811 |
#!/bin/sh
set -e
echo "Sync'ing $PWD"
date
git pull --rebase
echo "Updating submodules (if any)"
git submodule update --init --recursive
echo "Done"
| opengraphix/misdotfiles | scripts/bin/git-sync.sh | Shell | mit | 153 |
#!/bin/zsh
rvm get head
ver=$(rvm list known 2> /dev/null | tr -d '[]' | grep -Ev '(^#|^$)' | grep '^ruby-' | sed 's/^ruby-//' | xargs semver -r '>2.7.2' | tail -1)
if [ "x$ver" != "x" ]; then
echo "Updating Ruby to $ver"
sed -i "s/2.7.2/$ver/" ruby/update.zsh ruby/install.zsh
fi
| michaelmior/dotfiles | ruby/update.zsh | Shell | mit | 291 |
#!/bin/bash
#The MIT License (MIT)
#Copyright (c) 2015-2016 Joel Marshall - Tusk Software - https://tusksoft.com
#Permission is hereby granted, free of charge, to any person obtaining a copy
#of this software and associated documentation files (the "Software"), to deal
#in the Software without restriction, including... | joelmdev/gitscripts | changelog.sh | Shell | mit | 1,238 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for CESA-2013:0122
#
# Security announcement date: 2013-01-11 13:19:12 UTC
# Script generation date: 2017-01-01 21:10:39 UTC
#
# Operating System: CentOS 5
# Architecture: i386
#
# Vulnerable packages fix on version:
# - tcl.i386:8.4.13-6.el5
# - tcl-devel.i386... | Cyberwatch/cbw-security-fixes | CentOS_5/i386/2013/CESA-2013:0122.sh | Shell | mit | 819 |
#!/bin/bash
sudo docker run -v $(pwd):/src build_meandiff:latest /bin/bash -c 'cd /src && make'
# fix permissions
sudo chown -R $(whoami):users build
| SoftSec-KAIST/MeanDiff | build_src.sh | Shell | mit | 152 |
#!/bin/bash
cd "$(dirname "${BASH_SOURCE[0]}")" \
&& . "../../utils.sh" \
&& . "./utils.sh"
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
print_in_purple "\n Development CLI\n\n"
brew_install "ShellCheck" "shellcheck"
brew_install "Watchman" "watchman"
print_in_purple "\n Deve... | makabde/dotfiles | src/os/install/macos/development_tools.sh | Shell | mit | 701 |
#!/usr/bin/env bash
sbt clean compile test:compile test | channingwalton/qanda | bin/checkincheck.sh | Shell | mit | 56 |
#!/bin/bash
# Define the path to the executable
pathToBin='../../bin/./reg_gt';
# Define the path to the data
pathData='/data/prostate/experiments/';
# Define the path to the T2W GT
pathT2WGT='/GT_inv/prostate'
# Define the path to the DCE GT
pathDCEGT='/dce_gt_prostate.nii.gz'
# Define the path to the DCE serie
path... | I2Cvb/prostate | script/reg_dce/reg_gt.sh | Shell | mit | 1,109 |
#!/bin/bash -e
#
# Name: provision.sh
#
# Purpose: quick start the vagrant box with all the things
#
# Comments:
#
# Usage: vagrant up (on the repo root)
#
# Author: Ricardo Amaro (mail_at_ricardoamaro.com)
# Contributors: Jeremy Thorson jthorson
#
# Bugs/Issues: Use the issue queue on drupal... | ricardoamaro/drupalci_testbot | provision.sh | Shell | mit | 1,721 |
#!/usr/bin/env bash
docker stop expresshome_container
docker rm expresshome_container
docker run -d --net=host --name=expresshome_container expresshome
| Treeeater/expresshome | docker/start.sh | Shell | mit | 153 |
#!/bin/bash
sudo python3 setup.py install
sudo rm -r build/
sudo rm -r dist/
sudo rm -r meinHeim.egg-info/
echo "Deleted build/ dist/ meinHeim.egg-info/ folders for clean up." | JonathanH5/meinHeim | install3.sh | Shell | mit | 175 |
#!/bin/bash
KEYWORDS_SENEGAL="S(é|e)n(é|e)gal"
KEYWORDS_SENEGAL_ALL="$KEYWORDS_SENEGAL"
if [ "$1" == "" ];
then
debug_start "Senegal"
SENEGAL=$(egrep -i "$KEYWORDS_SENEGAL" "$NEWPAGES")
categorize "SENEGAL" "Senegal"
debug_end "Senegal"
fi | MW-autocat-script/MW-autocat-script | catscripts/Government/Countries/Senegal/Senegal.sh | Shell | mit | 259 |
#!/bin/sh
NAME="SteemitMoreInfo"
FILES="manifest.json chrome.ext.js document_start.js background.js LICENSE README.md smi.png smi16.png smi48.png src/* vendor/*"
mkdir -p dist
rm -f "dist/${NAME}.zip"
zip -r "dist/${NAME}.zip" $FILES -x "*.DS_Store"
| armandocat/steemit-more-info | dist.sh | Shell | mit | 254 |
gdb -x dbg.gdb
| openglfreak/Nevermind-OS | src/loader2/d.sh | Shell | mit | 15 |
p "g++ -Wall -lboost_program_options -o cli cli.cxx"
p "./cli -avf BOGUS.txt --long --longextra=FOO X1 X2"
p "./cli -b"
p "./cli --help"
| osamuaoki/fun2prog | cli/cxx/cli.sh | Shell | mit | 138 |
#!/usr/bin/env bash
set -e
# no-output on pushd and popd
pushd () {
command pushd "$@" > /dev/null
}
popd () {
command popd "$@" > /dev/null
}
set_locations() {
# location of this script, scripts, backend
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
}
do_all() {
pushd $DIR
# norma... | materials-commons/materialscommons.org | backend/scripts/testdb/npm-tests.sh | Shell | mit | 1,238 |
#!/usr/local/bin/fish
# SIMPLE SITEMAP BUILD SCRIPT
true > sitemap.txt
echo "Building sitemap…"
for file in *.html */*.html
echo " adding $file"
echo "https://elementqueries.com/$file" >> sitemap.txt
end
echo "Sitemap built!" | eqcss/eqcss | build-sitemap.sh | Shell | mit | 236 |
#!/bin/sh
increment=""
newVersion=""
currentVersion=$(git describe --abbrev=0 --tags)
podspecFilename=""
podSpecRepo=""
# Verify parameters
if [ $# -lt 2 ]
then
echo " "
echo "*** ERROR: version increment and pod spec repo name must be supplied as parameters ***"
echo "*** Example: ./scri... | yuxi-lin/RWPickFlavor | pod_update.sh | Shell | mit | 3,252 |
#!/bin/bash
DOTFILES_SRC=$(pwd)
DOTFILES_DST=$HOME
info () {
printf " [ \033[00;34m..\033[0m ] $1"
}
user () {
printf "\r [ \033[0;33m?\033[0m ] $1 "
}
success () {
printf "\r\033[2K [ \033[00;32mOK\033[0m ] $1\n"
}
fail () {
printf "\r\033[2K [\033[0;31mFAIL\033[0m] $1\n"
echo ''
exit
}
link_file... | ymyzk/dotfiles | install.sh | Shell | mit | 2,283 |
#!/bin/sh
VIMHOME=~/.vim
warn() {
echo "$1" >&2
}
die() {
warn "$1"
exit 1
}
[ -e "$VIMHOME/vimrc" ] && die "$VIMHOME/vimrc already exists."
[ -e "~/.vim" ] && die "~/.vim already exists."
[ -e "~/.vimrc" ] && die "~/.vimrc already exists."
git clone https://github.com/ycavatars/vimrc.git "$VIMHOME"
cd ... | ycavatars/vimrc | auto-install.sh | Shell | mit | 552 |
#!/bin/bash
# online resources:
# http://steve-parker.org/sh/sh.shtml
# http://www.freeos.com/guides/lsst/
# http://www.ss64.com/bash/
##########################################################################################
#
# This script tests various file types
#
#-----------------------------------------------... | spectralmind/smafe | test/testFiletypes.sh | Shell | mit | 2,618 |
rm -rf bin/haxelib-akifox-asynchttp.zip &&
zip bin/haxelib-akifox-asynchttp.zip -r com docs CHANGELOG.md README.md LICENSE haxelib.json;
| yupswing/akifox-asynchttp | scripts/make_haxelib.sh | Shell | mit | 137 |
#!/bin/bash
if [ -d "dependency" ]; then
cd dependency
sbt publish-local
cd ..
fi
cd myapp
echo sbt "$@"
sbt -Dsbt.log.noformat=true "$@" exit
exit $? | emilybache/sbt-texttest | src/test/sh/run_sbt.sh | Shell | mit | 159 |
#!/bin/bash
set -eux
BASE=$(dirname $0)
SITE=$(basename "$BASE")
SITEROOT="$BASE"
URL=http://$SITE
cd "$BASE"
# Title the window
echo -n -e "\033]0;$SITE Logs\007"
IP=$(ifconfig | awk '/inet / && ! /127\.0\.0\.1/ { print $2 }')
dns-sd -P "$SITE Dev Site" _http._tcp local 80 $SITE $IP &
# If Dr Jekyll has drunk t... | chuckhoupt/autoindex_strapdown | site-local.command | Shell | mit | 787 |
#!/bin/bash
#
#SBATCH --job-name=balance
#SBATCH --partition=savio
#SBATCH --account=co_praxis
#SBATCH --qos=praxis_savio_normal
#SBATCH --ntasks=15
#SBATCH --mem-per-cpu=4G
#SBATCH --workdir=/global/home/users/fsavje/sim_gfm/balance/
#SBATCH --error=/global/scratch/fsavje/sim_gfm/balance/cluster/%j.err
#SBATCH --outpu... | fsavje/sim_gfm | balance/run_node.sh | Shell | mit | 465 |
#!/usr/bin/env bash
# Bash debugging helpers.
#
# WARNING: These functions are tested to work within this project, and are
# pretty robust, but they don't have dedicated tests of their own
# yet.
#
#
# Copyright (c) 2016 Marc Meadows
#
# Permission is hereby granted, free of charge, to any person obta... | meadowface/bash-prompt-vcs | debug-util.bash | Shell | mit | 4,026 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for CESA-2015:0439
#
# Security announcement date: 2015-03-17 13:28:30 UTC
# Script generation date: 2017-01-01 21:11:22 UTC
#
# Operating System: CentOS 7
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - krb5-devel.i686:1.12.2-14.el7
# - krb5... | Cyberwatch/cbw-security-fixes | CentOS_7/x86_64/2015/CESA-2015:0439.sh | Shell | mit | 1,669 |
#!/usr/bin/env bash
sudo rm -rf vendor
/usr/local/bin/composer.phar install --ignore-platform-reqs
/usr/local/bin/composer.phar du
php artisan clear-compiled
php artisan route:clear
cp .env.example .env | PayBreak/basket | scripts/upgrade-laravel.sh | Shell | mit | 203 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for CESA-2016:0074
#
# Security announcement date: 2016-01-27 13:29:51 UTC
# Script generation date: 2017-01-18 21:17:04 UTC
#
# Operating System: CentOS 5
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - bind97-devel.i386:9.7.0-21.P2.el5_11.5
#... | Cyberwatch/cbw-security-fixes | CentOS_5/x86_64/2016/CESA-2016:0074.sh | Shell | mit | 1,450 |
#!/bin/bash
EXIT_OK=0
EXIT_USAGE=64
usage()
{
SCRIPTNAME=$(basename "$0")
echo "Usage: $SCRIPTNAME [--help|-h] NEWVERSION"
}
case "$1" in
"" )
echo "Missing required parameter: NEWVERSION" >&2
usage
exit $EXIT_USAGE
;;
"--help" | "-h" )
usage
exit $EXIT_OK
;;
esac
NEWVERSION=${1}
TODAY=$(date -I... | j-ulrich/QtPromise | update_version.sh | Shell | mit | 830 |
#!/bin/bash
# Generates archive of source code and data.
#
# Author: Jonathan Karr
# Affiliation: Covert Lab, Department of Bioengineering, Stanford University
#export repository
svn export http://covertlab.stanford.edu/svn/WholeCellViz WholeCellViz
#delete some files from archive
rm -rf WholeCellViz/DevelopersGuide... | CovertLab/WholeCellViz | archive.sh | Shell | mit | 701 |
#!/usr/bin/env bash
set -e
sudo apt-get -qq install -y cmake libblas-dev liblapack-dev libpng-dev libcairo2-dev libjpeg-dev libgif-dev > /dev/null
| bakercp/ofxDlib | scripts/linux/install.sh | Shell | mit | 148 |
#!/bin/bash
PROGNAME=$(basename $0)
if test -z ${ASTERISK_VERSION}; then
echo "${PROGNAME}: ASTERISK_VERSION required" >&2
exit 1
fi
set -ex
mkdir -p /usr/src/asterisk
cd /usr/src/asterisk
curl -vsL http://downloads.asterisk.org/pub/telephony/asterisk/releases/asterisk-${ASTERISK_VERSION}.tar.gz |
tar -... | respoke/asterisk-docker | build-asterisk.sh | Shell | mit | 1,359 |
#!/bin/sh -e
git submodule init
git submodule update
| cgmb/playground | tools/init-submodules.sh | Shell | mit | 54 |
#!/bin/sh
RESULT=""
for arg
do
if [[ "" != "$arg" ]] && [[ -e $arg ]];
then
TEMP=`cygpath -wa "$arg"`
OUT="'$TEMP'"
else
OUT=$arg
if [[ $arg == -* ]];
then
OUT=$arg
else
OUT="'$arg'"
fi
fi
RESULT=$RESULT" "$OUT
done
/cygdrive/c/Program\ Files\ \(x86\)/KDiff3/kdiff3.exe $RESULT | pchrapka/ballin-avenger-scripts | kdiff3.sh | Shell | mit | 282 |
#!/bin/bash
sudo apt-get install -y ipython python-matplotlib python-sklearn python-pandas\
htop iotop cython
| ddboline/kaggle_taxi_trajectory_prediction | setup_cloud9.sh | Shell | mit | 135 |
#!/bin/bash
set -e
(
tar -zxf quick-syscon.tar.gz && \
cd bundle/programs/server && \
npm install --production
) && \
(sudo systemctl stop nodejs-quick-syscon || true) && \
(
cd ~ && \
(rm -rf bundle_run || true) && \
mv bundle bundle_run && \
mv quick-syscon.tar.gz quick-syscon_DEPLOYED.tar.gz
)
sudo ... | yunity/quick-syscon | deploy/remote.sh | Shell | mit | 356 |
#!/bin/bash
##check MD5/Sha1/SHA256 of file and compare to developer supplied checksum to see if they are equal to original
which='/usr/bin/which'
md5sum=$(which md5sum)
##sha1sum='/usr/bin/sha1sum'
sha1sum=$(which sha1sum)
##sha256sum='/usr/bin/sha256sum'
sha256sum=$(which sha256sum)
cut='/usr/bin/cut'
##clear previ... | mmoyles/Bash_Scripts | sumcheck.sh | Shell | cc0-1.0 | 2,116 |
#!/bin/bash
# column.sh
(printf "PERMISSION LINKS OWNER GROUP SIZE MONTH DAY EE::MM PROG-NAME\n" \
; ls -l | sed 1d) | column -t
# 管道中的'sed 1d'删除输出中的第一行,
# 第一行将是'total N',
# 基中'N'是'ls -l'找到的文件总数,
# "colunh" 中的-t选项用来转化为易于打印的表形式。
exit 0
| yaowenqiang/bash | outer-cmd/column.sh | Shell | gpl-2.0 | 338 |
#!/bin/bash
# ----------------------------------------------------- #
# dem-series.sh by torad last update: 08.10.2009 #
# ----------------------------------------------------- #
# Purpose: #
# - Run a series of $np DEM_sphere_GPU simulations, #
# while managing input/output files #
# Required input: #
# -... | simontakite/sysadmin | cluster/dem-series.sh | Shell | gpl-2.0 | 2,034 |
declare -Ag SL_WSTATUS_DATE
SL_WSTATUS_DATE=(
["enable"]=true # if false it won't be shown
["foreground"]=$FG_GREEN
["background"]=""
["format"]="" # Format (like blink or underline)
["data"]="" # string to show
["oldval"]="" #internal purpose
["triggered"]="true" # only show if sl-notify-date returned 0
... | forflo/shellyCode | bashcode/widgets/blueprint.sh | Shell | gpl-2.0 | 988 |
#!/bin/bash
#
# This scripts create new signkey in the ramdisk
# generate new masterkey has to be run before
# workflow was taken from here: https://wiki.fsfe.org/Card_howtos/Card_with_subkeys_using_backups
# thanks!
#
RAMDISK=/ramdisk
BASEDIR=$RAMDISK/gpgtmp
MYDIR=$BASEDIR/gpg
MASTERKEY_id=$( cat $BASEDIR/masterid )... | bbprojects2013/crypi | sw/gpg_scripts/gpg-gen_enc_key.sh | Shell | gpl-2.0 | 1,102 |
#!/bin/bash
#FILE
# removeMailfromList.sh
#PURPOSE
# Given a list of email addresses this script
# will remove them from the mail server.
#AUTHOR
# (C) Hugo Urquiza 2009 for Unixservice.
#
while read line
do
#As these are full email addresses, we must look thet mailbox name via VUT
#Please note that VU... | unxs0/unxsVZ | unxsMail/tools/import/removeMailfromList.sh | Shell | gpl-2.0 | 786 |
#!/bin/bash
if which rbenv > /dev/null; then eval "$(rbenv init -)"; fi # Rbenv shims
export CC=/usr/bin/clang #Fixes bug in 'rbenv install'
| grdscrc/dotfiles | rbenv.sh | Shell | gpl-2.0 | 143 |
# -*- shell-script -*-
#
# Copyright (C) 1996-2017 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
#... | Starlink/automake | t/ax/test-init.sh | Shell | gpl-2.0 | 1,017 |
#!/bin/sh
FTPL="${FAKETIME_TESTLIB:-../src/libfaketime.so.1}"
set -e
error=0
repeat3x5="$(FAKERANDOM_SEED=0xDEADBEEFDEADBEEF LD_PRELOAD="$FTPL" ./repeat_random 3 5)"
repeat5x3="$(FAKERANDOM_SEED=0xDEADBEEFDEADBEEF LD_PRELOAD="$FTPL" ./repeat_random 5 3)"
if [ "$repeat3x5" != "$repeat5x3" ]; then
error=1
pr... | wolfcw/libfaketime | test/randomtest.sh | Shell | gpl-2.0 | 521 |
#!/bin/sh
. /lib/functions.sh
limitcpu_get(){
echo limitcpu_get
config_get enabled $1 enabled
[ $enabled -gt 0 ] || return 1
config_get limit $1 limit
config_get exename $1 exename
cpulimit -l $limit -e $exename &
echo cpulimit -l $limit -e $exename
}
stop() {
killall -9 cpulimit
# ps -a|grep limitcpu|while... | Gzxhwq/openwrt-bb | package/my_packages/luci-app-limitcpu/files/usr/bin/limitcpu.sh | Shell | gpl-2.0 | 562 |
cat input.txt | grep "[aeiou].*[aeiou].*[aeiou]" | grep "\(.\)\1" | egrep -v "(ab|cd|pq|xy)" | wc -l
| Balburdia/adventofcode | day05/puzzle.sh | Shell | gpl-2.0 | 102 |
#!/bin/sh
#
#
# halo_radio daemontools setup script.
#
# you may want to edit the definitions below here:
log_user=radiolog
log_group=radiolog
daemon_user=radio
daemon_group=radio
supervize_dir=/etc/haloradio/svsdir-rpc
daemon_dir=/usr/share/haloradio
#
# you shouldn't need to touch anything below here.. maybe..
#
i... | ph1l/halo_radio | rpc-conf.sh | Shell | gpl-2.0 | 1,235 |
cat /proc/sys/kernel/printk
| folkien/scripts | kernel-loglevel.sh | Shell | gpl-2.0 | 28 |
#!/bin/bash
#
# Copyright (C) 2017 Gleb Balykov
#
# This file is part of fdtd3d.
#
# fdtd3d is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any lat... | zer011b/fdtd3d | Tests/suite/t7.4/run.sh | Shell | gpl-2.0 | 3,976 |
. ${TUXDIR}/tux.env
export APPDIR=~/bankapp
export PATH=${APPDIR}:$PATH
export LD_LIBRARY_PATH=${TUXDIR}/lib:${LD_LIBRARY_PATH}
unset LIBPATH
unset SHLIB_PATH
export ENVFILE=${APPDIR}/ENVFILE
export FIELDTBLS=Usysflds,bankflds,creditflds,eventflds
export FIELDTBLS32=Usysfl32,bankflds,creditflds,eventflds,evt_mib,tpadm
... | TuxedoUsers/Tuxedo-samples | RAC/Tuxedo/bankapp/setenv.sh | Shell | gpl-2.0 | 739 |
#!/usr/bin/sh
rwmode_mknod()
{
echo " * inserting mtd_rwmode_set module"
insmod ../flash_rwmode_set.ko
rm -f /dev/mtd_rwmode_set
MTD_RWMODE_SET_MAJOR=`cat /proc/devices |grep mtd_rwmode_set|awk '{print $1}'`
mknod /dev/mtd_rwmode_set c $MTD_RWMODE_SET_MAJOR 0
}
rwmode_rm()
{
echo " * remove mtd_rwmode_set modul... | oSaiYa/linux-sh4 | drivers/fulan/Flash_SetMode/test/mtd_rwmode_set_test.sh | Shell | gpl-2.0 | 591 |
#!/bin/sh
INSTALLPERMS=$1
BASEDIR=$2
BINDIR=$3
LIBDIR=$4
VARDIR=$5
shift
shift
shift
shift
shift
for d in $BASEDIR $BINDIR $LIBDIR $VARDIR $BASEDIR/private; do
if [ ! -d $d ]; then
mkdir $d
if [ ! -d $d ]; then
echo Failed to make directory $d
exit 1
fi
fi
done
for p in $*; do
p2=`basename $p`
echo Installing... | jophxy/samba | source/script/installbin.sh | Shell | gpl-2.0 | 1,048 |
#!/bin/sh
cmd=${1:-up --no-recreate}
base=$(dirname `realpath $0`)
source $base/utils/0config.sh
boot2docker shellinit >$base/utils/shellinit.sh 2> /dev/null
. $base/utils/shellinit.sh
$base/utils/boot2docker-up.sh
data=$base/data
docker-osx-dev -c false -s $data/www -s $data/config -l WARN &
sync_pid=$!
echo $sync_pid... | borgius/bodos | !up.sh | Shell | gpl-2.0 | 529 |
#! /bin/sh
################################################################################
## ##
## Copyright (c) 2012 FUJITSU LIMITED ##
## ... | richiejp/ltp | testcases/kernel/controllers/memcg/functional/memcg_stat_test.sh | Shell | gpl-2.0 | 4,000 |
#!/bin/sh
# ver_test_pr16504.sh -- test that undef gets correct version with LTO.
# Copyright (C) 2018-2020 Free Software Foundation, Inc.
# Written by Cary Coutant <ccoutant@gmail.com>.
# This file is part of gold.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the G... | vinriviere/m68k-atari-mint-binutils-gdb | gold/testsuite/ver_test_pr16504.sh | Shell | gpl-2.0 | 1,213 |
#!/bin/sh
# Execution trace
set -x
SYSTMPDIR="/tmp"
MYTMPDIR="${SYSTMPDIR}/$(basename $0).$$"
MNTDIR="/tmp/mnt" # Set in /etc/rc.d/init.d/S10setup
IMGDIR="/tmp/sysupdate"
SUDIR="sysupdate" # sysupdate-specific dir within the image
PASSWDDIR="/etc"
PASSWD="shadow"
trap cleanup EXIT
cleanup... | MECTsrl/imx_mect | src/sysupdate_imx28_img.sh | Shell | gpl-2.0 | 5,462 |
./init.sh
# Run BestRoute Stratagy
./cs.sh 100
./bestroute.sh
./cs.sh 120
./bestroute.sh
./cs.sh 140
./bestroute.sh
#./cs.sh 160
#./bestroute.sh
./cs.sh 180
./bestroute.sh
./cs.sh 200
./bestroute.sh
./cs.sh 220
./bestroute.sh
# Run P2PRoute Stratagy
./cs.sh 250
./freshtime.sh 2.5
./p2proute.sh
./cs.sh 300
./... | moonbeamxp/ns-3 | scenario/P2PRoute Prob/run2.sh | Shell | gpl-2.0 | 584 |
#!/bin/bash
#
# Copyright (c) 2015 Igor Pecovnik, igor.pecovnik@gma**.com
#
# This file is licensed under the terms of the GNU General Public
# License version 2. This program is licensed "as is" without any
# warranty of any kind, whether express or implied.
#
# This file is a part of tool chain https://github.com/igo... | golfromeo-fr/lib | distributions.sh | Shell | gpl-2.0 | 11,760 |
# export AWS_ACCESS_KEY="Your-Access-Key"
# export AWS_SECRET_KEY="Your-Secret-Key"
today=`date +"%d-%m-%Y","%T"`
logfile="/awslog/ec2-access.log"
# Grab all Security Groups IDs for DISALLOW action and export the IDs to a text file
sudo aws ec2 describe-security-groups --filters Name=tag:close-http-time,Values=00-00 ... | STARTSPACE/aws-access-to-ec2-by-timetable | http-80/disallow-wd/http-disallow-wd-00.sh | Shell | gpl-2.0 | 813 |
#!/bin/bash -ex
source config.cfg
echo "########## CONFIGURING STATIC IP FOR NICs ##########"
ifaces=/etc/network/interfaces
test -f $ifaces.orig || cp $ifaces $ifaces.orig
rm $ifaces
cat << EOF > $ifaces
#Configuring IP for Controller node
# LOOPBACK NET
auto lo
iface lo inet loopback
# LOCAL NETWORK
auto eth0
if... | vietstacker/openstack-liberty-multinode | LIBERTY-U14.04-AIO/0-liberty-aio-ipadd.sh | Shell | gpl-2.0 | 1,363 |
#!/bin/bash
# SCRIPT: generateWeblogRecord.sh
#Generate the Java Class for the weblogrecord.thrift
#Once for Reference file is already created and available in the thriftserialization folder
#To run the script you need to install thrift and then ./generateWebLogRecord.sh will generate the respective java class
thrift ... | ratewar/LearnHadoop | HadoopExamples/src/main/resources/generateWebLogRecord.sh | Shell | gpl-2.0 | 350 |
#!/bin/bash
apache_config_file="/etc/apache2/envvars"
apache_vhost_file="/etc/apache2/sites-available/vagrant_vhost.conf"
php_config_file="/etc/php5/apache2/php.ini"
xdebug_config_file="/etc/php5/mods-available/xdebug.ini"
mysql_config_file="/etc/mysql/my.cnf"
default_apache_index="/var/www/html/index.html"
# This fu... | mr-liusg/SCNUYouth_vagrant | install/provision.sh | Shell | gpl-2.0 | 3,570 |
#!/bin/bash
if [ ! -d "nDPI" ]; then
git clone https://github.com/ntop/nDPI
fi
cd nDPI
git pull
./autogen.sh
./configure -with-pic
make && make install
cd ..
make
make lib
| onlysheep5200/nDPIex | install.sh | Shell | gpl-2.0 | 189 |
#! /bin/sh
# Copyright (C) 2010-2017 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | pylam/automake | t/subobj11b.sh | Shell | gpl-2.0 | 2,691 |
#!/bin/bash
###############################################################################
# Clue Configuration Manager
#
# Test Setup package. These partcipular actions have to run in between standard
# tests process, just to deploy the whole resources for a consistent test
#
# $Id: test-prep.sh 966 2017-02-13 22:54:... | stefandmn/Setup | testpart.sh | Shell | gpl-2.0 | 819 |
#!/bin/bash
KMP_DUPLICATE_LIB_OK=TRUE
export PATH=$PATH:/usr/local/cuda/bin/
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/cuda/lib64/
export CULA_ROOT="/cluster/home/svoron01/apps/cula/"
#export CULA_ROOT="/opt/shared/cula/dense-r15/"
export CULA_INC_PATH="$CULA_ROOT/include"
export CULA_LIB_PATH_32="$CULA_ROOT... | sergeyvoronin/LowRankSVDCodes | matlab_code/mex_code_nvidia_gpu_cula/setup_vars.sh | Shell | gpl-3.0 | 645 |
#!/bin/bash
#
# Copyright (C) 2012 Erick Birbe <erickcion@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#... | erickcion/rtl8192se-install | uninstall.sh | Shell | gpl-3.0 | 1,245 |
function jmol_update_quiet {
if command -v curl > /dev/null 2>&1; then
MAJOR=$(curl -sL https://sourceforge.net/projects/jmol/files/Jmol/ | tr , '\n' | grep 'span class="name"' | head -n 1 | cut -d '>' -f 2 | sed 's|</span||g' | cut -d ' ' -f 2)
pkgver=$(wget -cqO- "https://sourceforge.net/projects/... | fusion809/arch-scripts | Shell/updater/jmolupq.sh | Shell | gpl-3.0 | 1,238 |
#!/bin/sh
iter=${1}
portstart=${2}
portstop=`expr $portstart + 1`
filename=${3}
filenameBand=${4}
sleeptime=${5}
secsleep=${6}
IP_iperf=${7}
time_iperf=${8}
interval_iperf=${9}
channel=${10}
nameDir=${11}
echo ${nameDir}
absolutePath="${HOME}/Dropbox/COGNET/BANDWIDTH/"
namePath=${absolutePath}${nameDir}
echo ${namePat... | CognetTestbed/COGNET_CODE | MANAGER_NODE_COGNET/SCRIPT_MANAGER/scriptExperiment_ch.sh | Shell | gpl-3.0 | 1,087 |
#!/bin/bash
rst2html5slides --template jmpress_template.html --distribution linear --deck-selector div#simple --slide-selector div.step slides.rst slides.html
| etingof/talks | rhlt-asyncio/make.sh | Shell | gpl-3.0 | 160 |
#!/bin/bash
set -ev
# ---------------------------------
# DEPLOY
# ---------------------------------
TAG=$1
DOCKER_USERNAME=$2
DOCKER_PASSWORD=$3
# Create publish artifact
dotnet publish -c Release src
# Remove a leading v from the major version number (e.g. if the tag was v1.0.0)
IFS='.' read -r -a tag_array <<< "... | dustinmoris/NewsHacker | deploy.sh | Shell | gpl-3.0 | 795 |
#!/bin/bash
#wget http://mirrors.kernel.org/ubuntu/pool/main/u/udev/libudev0_175-0ubuntu9_amd64.deb
#sudo gdebi libudev0_175-0ubuntu9_amd64.deb
wget http://mirrors.kernel.org/ubuntu/pool/main/u/udev/libudev0_175-0ubuntu9_i386.deb
sudo gdebi libudev0_175-0ubuntu9_i386.deb
exit 0
| jmanoel7/my_shell_scripts | bin/install-libudev-deb.sh | Shell | gpl-3.0 | 282 |
#!/usr/bin/env bash
NECTOR_BACKEND='/data/nector'
DATE=$(date +%Y%m%d)
if [ ! -d $NECTOR_BACKEND ]; then
echo "[Error] ${NECTOR_BACKEND} does not exist. Please create."
exit 0
else
nmap -sL -iL ${NECTOR_BACKEND}/subnets.csv -oN ${NECTOR_BACKEND}/host-discovery-$DATE.txt
fi
| clayball/fundamental-fledgling | session-01/host-discovery.sh | Shell | gpl-3.0 | 288 |
#!/bin/bash
#
#
WORK_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
docker build -t nurl_test .
docker run -it --rm -v ${WORK_DIR}/t:/data/openresty/nginx/t nurl_test ./go.sh -v t/*.t
| shanyou/nurl | test.sh | Shell | gpl-3.0 | 193 |
#!/usr/bin/env bash
HERE="$( cd "$(dirname "$0")" ; pwd -P )"
major_v=`${HERE}/../build/src/pufferfish -v | cut -d ' ' -f 2 | cut -d '.' -f 1`
minor_v=`${HERE}/../build/src/pufferfish -v | cut -d ' ' -f 2 | cut -d '.' -f 2`
patch_v=`${HERE}/../build/src/pufferfish -v | cut -d ' ' -f 2 | cut -d '.' -f 3`
echo "VERSIO... | COMBINE-lab/pufferfish | scripts/bump_version.sh | Shell | gpl-3.0 | 1,609 |
#!/bin/sh
#
# This file is protected by Copyright. Please refer to the COPYRIGHT file
# distributed with this source distribution.
#
# This file is part of GNUHAWK.
#
# GNUHAWK is free software: you can redistribute it and/or modify is under the
# terms of the GNU General Public License as published by the Free Sof... | RedhawkSDR/integration-gnuhawk | components/add_const_vii/build.sh | Shell | gpl-3.0 | 1,556 |
#!/bin/sh
BASE=../..
FILE=test.lst
CORP_LT_FILE=dict_corp_lt.txt
CORP_VIS_FILE=dict_corp_vis.txt
RULES_LT_FILE=dict_rules_lt.txt
function diff_u() {
FIL="$1"
diff -u prev/$FIL $FIL > $FIL.diff
return $?
}
function run_expand() {
echo "Running $@"
JAVA_HOME=/usr groovy -cp $BASE/build:$BASE/src/main/... | arysin/dict_uk | test/test_diff.sh | Shell | gpl-3.0 | 944 |
makefilesToRun='
src/libogg/android-arm64.mk
src/libvorbis/android-arm64.mk
src/flac/android-arm64.mk
src/xz/android-arm64.mk
src/libarchive/android-arm64.mk
src/boost/android-arm64.mk
'
source runMakefiles.sh
runMakefiles $@
| Rakashazi/emu-ex-plus-alpha | imagine/bundle/all/makeAll-android-arm64.sh | Shell | gpl-3.0 | 246 |
UPDATE_URL="https://raw.github.com/marcuswhybrow/minecraft-server-manager/master"
wget -q ${UPDATE_URL}/installers/common.sh -O /tmp/msmcommon.sh
source /tmp/msmcommon.sh && rm -f /tmp/msmcommon.sh
function update_system_packages() {
install_log "Updating sources"
sudo yum update || install_error "Couldn't upd... | demon012/minecraft-server-manager | installers/redhat.sh | Shell | gpl-3.0 | 734 |
#!/bin/sh
java -jar dist/sat.jar
| besiguenza/sat | sat.sh | Shell | gpl-3.0 | 33 |
#!/bin/bash
cat <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/strict.dtd">
<html xmlns="http://www.w3.org/TR/xhtml1/strict" ><html><head>
<title>diagrams</title>
<style>
svg {
margin: 0.5em;
border: 1px solid #404040;
}
body {... | HackerFoo/poprc | scripts/wrap-svgs.sh | Shell | gpl-3.0 | 447 |
#!/bin/sh
plat=mipsel
plat_dir=build_mips
machine=
TOOLCHAIN=mipsel-linux-gnu
TOOLCHAIN_ROOT=boardcom-stbgcc-4.8-1.5
TOOCHAINFILE=toolchain-mipsel-tuxbox.cmake
#TOOLCHAIN_STAGE=/work/dreambox/toolchains
#############################################
curdir=`pwd`
builddir=`cd $(dirname $0);pwd`
. $(dirname $builddir)/i... | nx111/oscam-nx111 | build/build_mips/build_mipsel.sh | Shell | gpl-3.0 | 2,341 |
#!/bin/bash
if [ ! $# == 2 ]; then
echo "Usage: $0 UniversityName Semaphore"
echo "e.g.: $0 Caltech36 16"
exit
fi
INSTANCE="$1"
BaseAlgs=("IM" "MOD")
#candidates:"LC" "OSLOM"
Frameworks=("RemoveEdge" "ReduceEdge" "ReduceWeight")
LayersNum=("2" "3" "4" "5")
tmp_fifofile="/tmp/$.fifo"
mkfifo $tmp_fifofile # 新... | KunHe2015/HiCode | batchrun.sh | Shell | gpl-3.0 | 1,568 |
input=musicxml-samples/samples/example1.xml
musicxml-to-python ${input} out-ref.xml
musicxml-to-python --add-write-xml ${input} out.py
python out.py
option='--schema musicxml.xsd'
for i in out-ref.xml out.xml; do
xmllint ${option} --format $i -o $i
done
diff -Naur ${input} out-ref.xml | less
diff -Naur out-ref.xml ... | FabriceSalvaire/Musica | other-examples/musicxml/objectifier/run.sh | Shell | gpl-3.0 | 335 |
#!/bin/bash
echo Cleaning python code in \'`pwd`\' and subdirectories
for file in $(find *.py doc pytis test examples | egrep "(\.rst$)|(\.py$)|(\.c$)|(\.h$)|(\.i$)|(\.pyf$)") README; do
echo Cleaning ${file}
sed -i -e $'s/\t/ /' ${file}
sed -i -e $'s/[ \t]\+$//' ${file}
sed -i -e :a -e '/^\n*$/{$d;N;ba' -e ... | tovrstra/pytis | cleancode.sh | Shell | gpl-3.0 | 337 |
binutils=binutils:arc-2021.03-eng005
gcc=gcc:arc-2021.03-eng005
gdb=gdb:arc-2021.03-eng005-gdb
newlib=newlib:arc-2021.03-eng005
glibc=glibc:glibc-2.33
uclibc=v1.0.34
linux=v5.4.105
| foss-for-synopsys-dwc-arc-processors/toolchain | config/arc-2021.03-eng005.sh | Shell | gpl-3.0 | 181 |
#!/usr/bin/env bash
# create a FIFO file, used to manage the I/O redirection from shell
PIPE=$(mktemp -u --tmpdir ${0##*/}.XXXXXXXX)
# Ad of global variables
export DIR="$HOME/.xgrab"
export SETTING_F="xgrab.conf"
export COMPRESS_F="xcomp.conf"
export FILE_SET="$DIR/$SETTING_F"
export FILE_COMP="$DIR/$COMPRESS_F"
exp... | ormorph/xgrab | xgrab.sh | Shell | gpl-3.0 | 2,931 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.